Subject: Ticket Assigned - Promotions or Gift Vouchers
From: Splash <[email-masked]>
To: [email-masked]
Date: Mon, 01 Aug 2022 02:19:44 +0000

Hi Sohaib Ahmed,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Promotions or Gift Vouchers I have a voucher which I tried to purchase from online and there was an extra 13 dhs to pay which was not completed  by my bank. So I tried repurchase again but could not use my voucher. NOTE I didn’t redeem this voucher cause my order didn’t go through and I would like a refund back to the same amount. Thanks https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4671955